Index: src/org/jboss/tools/deltacloud/ui/preferences/StringsPreferenceValue.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/preferences/StringsPreferenceValue.java	(revision 0)
+++ src/org/jboss/tools/deltacloud/ui/preferences/StringsPreferenceValue.java	(revision 0)
@@ -0,0 +1,189 @@
+/*******************************************************************************
+ * Copyright (c) 2010 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
+package org.jboss.tools.deltacloud.ui.preferences;
+
+import java.io.UnsupportedEncodingException;
+import java.net.URLEncoder;
+import java.util.ArrayList;
+import java.util.StringTokenizer;
+
+
+/**
+ * A class that offers access to a collection of values that is stored in the
+ * preferences under a single key.
+ * 
+ * @author Andre Dietisheim
+ */
+public class StringsPreferenceValue extends AbstractPreferenceValue<String[]> {
+
+	private String delimiter;
+	private String escapedDelimiter;
+
+	public StringsPreferenceValue(char delimiter, String prefsKey, String pluginId) {
+		super(prefsKey, pluginId);
+		this.delimiter = String.valueOf(delimiter);
+		try {
+			this.escapedDelimiter = URLEncoder.encode(String.valueOf(delimiter), "UTF-8");
+		} catch (UnsupportedEncodingException e) {
+			// cannot happen since we use a fixed, known encoding
+		}
+	}
+
+	public String[] get() {
+		return get(null);
+	}
+
+	public String[] get(String[] currentValues) {
+
+		String string = doGet(null);
+		String[] prefValues = split(string);
+		return overrideValues(currentValues, prefValues);
+	}
+
+	private String[] split(String string) {
+		ArrayList<String> values = new ArrayList<String>();
+		StringTokenizer tokenizer = new StringTokenizer(string, delimiter);
+		while (tokenizer.hasMoreTokens()) {
+			String value = tokenizer.nextToken();
+			String unescapedValue = unescapeDelimiterCharacter(value);
+			values.add(unescapedValue);
+		}
+		return values.toArray(new String[values.size()]);
+	}
+
+	private String[] overrideValues(String[] newValues, String[] prefValues) {
+		if (prefValues == null) {
+			return newValues;
+		}
+
+		for (int i = 0; i < prefValues.length; i++) {
+			if (newValues == null
+					|| newValues.length < i) {
+				break;
+			}
+			prefValues[i] = newValues[i];
+		}
+		return prefValues;
+	}
+
+	/**
+	 * Adds the given string value to this preference value(s). Duplicate values
+	 * are not added.
+	 * 
+	 * @param value
+	 *            the value to add
+	 */
+	public void add(String value) {
+		String currentValues = doGet();
+		StringBuilder builder = new StringBuilder(currentValues);
+		value = escapeDelimiterCharacter(value);
+		if (!contains(value, currentValues)) {
+			if (hasValues(currentValues)) {
+				builder.append(delimiter);
+			}
+			builder.append(value);
+			doStore(builder.toString());
+		}
+	}
+
+	private String escapeDelimiterCharacter(String value) {
+		if (value == null || value.length() == 0) {
+			return value;
+		}
+
+		int index = value.indexOf(delimiter);
+		if (index < 0) {
+			return value;
+		}
+		StringBuilder builder = new StringBuilder(value.substring(0, index));
+		builder.append(escapedDelimiter);
+		builder.append(value.substring(index + 1));
+		return builder.toString();
+	}
+
+	private String unescapeDelimiterCharacter(String value) {
+		if (value == null || value.length() == 0) {
+			return value;
+		}
+
+		int index = value.indexOf(escapedDelimiter);
+		if (index < 0) {
+			return value;
+		}
+		StringBuilder builder = new StringBuilder(value.substring(0, index));
+		builder.append(delimiter);
+		builder.append(value.substring(index + 1));
+		return builder.toString();
+	}
+
+	private boolean contains(String value, String currentValues) {
+		return currentValues != null
+				&& currentValues.length() > 0
+				&& currentValues.indexOf(value) >= 0;
+	}
+
+	private boolean hasValues(String currentValues) {
+		return currentValues != null && currentValues.length() > 0;
+	}
+
+	/**
+	 * Removes the given values from the strings stored in the preferences and
+	 * stores the preferences.
+	 * 
+	 * @param values
+	 *            the values
+	 */
+	public void remove(String... valuesToRemove) {
+		boolean removed = false;
+		String[] currentValues = get();
+		if (valuesToRemove != null) {
+			for (int i = 0; i < currentValues.length; i++) {
+				for (String valueToRemove : valuesToRemove) {
+					if (valueToRemove.equals(currentValues[i])) {
+						currentValues[i] = null;
+						removed = true;
+					}
+				}
+			}
+		}
+		if (removed) {
+			store(currentValues);
+		}
+	}
+
+	/**
+	 * Overrides the current values in the preferences with the values in the
+	 * given array (value in the preferences at index x is overridden with the
+	 * value in the given array at index x) and stores the preferences.
+	 */
+	public void store(String[] newValues) {
+		String[] currentValues = get();
+		overrideValues(newValues, currentValues);
+		doStore(concatenate(currentValues));
+	}
+
+	public void store() {
+		store(null);
+	}
+
+	protected String concatenate(String[] values) {
+		StringBuilder builder = new StringBuilder();
+		for (int i = 0; i < values.length; i++) {
+			if (values[i] != null) {
+				if (builder.length() > 0) {
+					builder.append(delimiter);
+				}
+				builder.append(values[i]);
+			}
+		}
+		return builder.toString();
+	}
+}
Index: src/org/jboss/tools/deltacloud/ui/commands/RebootInstanceHandler.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/commands/RebootInstanceHandler.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/ui/commands/RebootInstanceHandler.java	(working copy)
@@ -23,9 +23,10 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.jboss.tools.common.log.StatusFactory;
 import org.jboss.tools.deltacloud.core.DeltaCloudInstance;
+import org.jboss.tools.deltacloud.core.DeltaCloudResourceAction;
 import org.jboss.tools.deltacloud.ui.Activator;
 import org.jboss.tools.deltacloud.ui.views.CVMessages;
-import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.WorkbenchUtils;
 
 /**
  * @author Andre Dietisheim
@@ -44,7 +45,7 @@
 		try {
 			if (selection instanceof IStructuredSelection) {
 				if (isSingleInstanceSelected(selection)) {
-					DeltaCloudInstance cvInstance = UIUtils.getFirstAdaptedElement(selection, DeltaCloudInstance.class);
+					DeltaCloudInstance cvInstance = WorkbenchUtils.getFirstAdaptedElement(selection, DeltaCloudInstance.class);
 					rebootInstance(cvInstance);
 				} else {
 					rebootWithDialog((IStructuredSelection) selection);
@@ -60,10 +61,10 @@
 
 	@SuppressWarnings("unchecked")
 	private void rebootWithDialog(IStructuredSelection selection) {
-		List<DeltaCloudInstance> deltaCloudInstances = UIUtils.adapt((List<DeltaCloudInstance>) selection.toList(), DeltaCloudInstance.class);
+		List<DeltaCloudInstance> deltaCloudInstances = WorkbenchUtils.adapt((List<DeltaCloudInstance>) selection.toList(), DeltaCloudInstance.class);
 		List<DeltaCloudInstance> rebootableInstances = getRebootableInstances(deltaCloudInstances);
 		DeltaCloudInstanceDialog dialog = new DeltaCloudInstanceDialog(
-					UIUtils.getActiveShell()
+				WorkbenchUtils.getActiveShell()
 					, rebootableInstances
 					, CVMessages.getString(REBOOT_INSTANCE_TITLE)
 					, CVMessages.getString(REBOOT_INSTANCE_MSG));
@@ -93,7 +94,7 @@
 		if (instance != null) {
 			executeInstanceAction(
 					instance
-					, DeltaCloudInstance.Action.REBOOT
+					, DeltaCloudResourceAction.REBOOT
 					, DeltaCloudInstance.State.RUNNING
 					, CVMessages.getString(REBOOTING_INSTANCE_TITLE)
 					, CVMessages.getFormattedString(REBOOTING_INSTANCE_MSG, new String[] { instance.getName() }));
Index: src/org/jboss/tools/internal/deltacloud/ui/utils/WizardUtils.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/utils/WizardUtils.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/utils/WizardUtils.java	(working copy)
@@ -22,6 +22,8 @@
 import org.eclipse.jface.wizard.IWizard;
 import org.eclipse.jface.wizard.IWizardContainer;
 import org.eclipse.jface.wizard.IWizardPage;
+import org.eclipse.jface.wizard.WizardDialog;
+import org.eclipse.swt.widgets.Shell;
 
 /**
  * @author André Dietisheim
@@ -115,4 +117,10 @@
 			}
 		}
 	}
+	
+	public static void openWizardDialog(IWizard wizard, Shell shell) {
+		WizardDialog dialog = new WizardDialog(shell, wizard);
+		dialog.create();
+		dialog.open();
+	}
 }
Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/NewInstancePage.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/NewInstancePage.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/NewInstancePage.java	(working copy)
@@ -68,10 +68,12 @@
 import org.jboss.tools.deltacloud.core.job.AbstractCloudElementJob;
 import org.jboss.tools.deltacloud.core.job.AbstractCloudElementJob.CLOUDELEMENT;
 import org.jboss.tools.deltacloud.ui.Activator;
+import org.jboss.tools.deltacloud.ui.IDeltaCloudPreferenceConstants;
 import org.jboss.tools.deltacloud.ui.SWTImagesFactory;
 import org.jboss.tools.internal.deltacloud.ui.common.databinding.validator.MandatoryStringValidator;
 import org.jboss.tools.internal.deltacloud.ui.common.databinding.validator.SelectedComboItemValidator;
 import org.jboss.tools.internal.deltacloud.ui.utils.DataBindingUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
 
 /**
  * @author Jeff Jonston
@@ -150,7 +152,7 @@
 		super(WizardMessages.getString(NAME));
 		this.cloud = cloud;
 		String defaultKeyname = cloud.getLastKeyname();
-		model = new NewInstancePageModel(defaultKeyname, image); //$NON-NLS-1$
+		model = new NewInstancePageModel(defaultKeyname, image, cloud); //$NON-NLS-1$
 		setDescription(WizardMessages.getString(DESCRIPTION));
 		setTitle(WizardMessages.getString(TITLE));
 		setImageDescriptor(SWTImagesFactory.DESC_DELTA_LARGE);
@@ -175,12 +177,14 @@
 		nameLabel.setText(WizardMessages.getString(NAME_LABEL));
 		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(nameLabel);
 		this.nameText = new Text(container, SWT.BORDER | SWT.SINGLE);
+		UIUtils.createPreferencesProposalAdapter(nameText, IDeltaCloudPreferenceConstants.INSTANCE_NAME_PROPOSAL_KEY);
 		GridDataFactory.fillDefaults().span(2, 1).grab(true, false).applyTo(nameText);
 
 		Label imageLabel = new Label(container, SWT.NULL);
 		imageLabel.setText(WizardMessages.getString(IMAGE_LABEL));
 		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(imageLabel);
 		this.imageText = new Text(container, SWT.BORDER | SWT.SINGLE);
+		UIUtils.createPreferencesProposalAdapter(imageText, IDeltaCloudPreferenceConstants.INSTANCE_IMAGE_PROPOSAL_KEY);
 		GridDataFactory.fillDefaults().grab(true, false).align(SWT.FILL, SWT.CENTER).applyTo(imageText);
 		Button findImageButton = new Button(container, SWT.NULL);
 		findImageButton.setText(WizardMessages.getString(FIND_BUTTON_LABEL));
@@ -205,6 +209,7 @@
 		keyLabel.setText(WizardMessages.getString(KEY_LABEL));
 		GridDataFactory.fillDefaults().align(SWT.LEFT, SWT.CENTER).applyTo(keyLabel);
 		keyText = new Text(container, SWT.BORDER | SWT.SINGLE);
+		UIUtils.createPreferencesProposalAdapter(keyText, IDeltaCloudPreferenceConstants.INSTANCE_KEY_PROPOSAL_KEY);
 		GridDataFactory.fillDefaults().align(SWT.FILL, SWT.CENTER).applyTo(keyText);
 		Button keyManageButton = new Button(container, SWT.NULL);
 		keyManageButton.setText(WizardMessages.getString(MANAGE_BUTTON_LABEL));
@@ -444,7 +449,7 @@
 			}
 			return false;
 		}
-		
+
 		private boolean doesKeyExist(String keyId) {
 			try {
 				return cloud.getKey(keyId) != null;
Index: ChangeLog
===================================================================
--- ChangeLog	(revision 29180)
+++ ChangeLog	(working copy)
@@ -1,12 +1,107 @@
+2011-02-18  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/NewInstancePageModel.java 
+	(getProfileIndex): 
+	(setSelectedProfileIndex): 
+	(getRealmIndex): 
+	(setSelectedRealm): 
+	[JBIDE-8333] now persisting last selected realm and profile per cloud.
+
+2011-02-04  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/deltacloud/ui/commands/StopInstanceHandler.java 
+	(stopInstances): 
+	(stopInstances): 
+	[JBIDE-8295] added confirmatino dialog when stopping instances
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/ImageFilterPage.java 
+	(validate): 
+	(validate): 
+	(createControl): 
+	[JBIDE-8332] added field decorations to FilterImage- and FilterInstance-dialogs
+
+2011-02-03  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/deltacloud/ui/views/cloudelements/InstanceView.java (propertyChange): 
+	* src/org/jboss/tools/deltacloud/ui/views/cloudelements/ImageView.java (propertyChange): 
+	* src/org/jboss/tools/deltacloud/ui/views/cloudelements/AbstractCloudElementTableView.java (updateFilteredLabel): 
+	[JBIDE-8323] updating filtered label now on cloud change and on filter change.
+	* src/org/jboss/tools/deltacloud/ui/views/DeltaCloudInstanceColumns.java (DeltaCloudInstanceColumns): 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/WizardMessages.properties: 
+	[JBIDE-8319] added columns imageId, ownerId, key, realm and profile to instance view. 
+	Made that labels in filter dialog match the column names. 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/InstanceFilterPage.java: 
+	[JBIDE-8187] added capability to filter for instance alias
+
 2011-02-02  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
 
-	* src/org/jboss/tools/internal/deltacloud/ui/wizards/FindImagePage.java (onImageDoubleclick): 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/FindImagePage.java 
+	(onImageDoubleclick): 
+	(createControl): 
 	[JBIDE-8310] added choosing an image by double clicking it
 	* src/org/jboss/tools/internal/deltacloud/ui/wizards/NewInstancePage.java (createWidgets): 
 	[JBIDE-8309] fixed layout for image text field
 
+2011-02-01  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/NewCloudConnectionWizard.java 
+	(performFinish): 
+	(createCloud): 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/EditCloudConnectionWizard.java 
+	(performFinish): 
+	(editCloud): 
+	[JBIDE-8148] moved cloud creation and cloud edit to background jobs
+
+2011-01-31  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/CloudConnectionPage.java (createControl): 
+	[JBIDE-8259] added content proposals for cloud name, cloud url, username
+
+2011-01-27  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/SshPrivateKeysPreferences.java 
+	(contains): 
+	(getAbsoluteKeyPath): 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/NewInstancePage.java 
+	(KeyValidator.isKeyKnowToSsh): 
+	[JBIDE-8253] checking relative ssh private key entries now, too
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/NewInstancePage.java 
+	(KeyValidator.validate): 
+	(KeyValidator.isKeyKnowToSsh): 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/NewInstanceWizard.java (performFinish):
+	[JBIDE-8254] replaced the warning dialog by a similar decoration to the key text field. 
+	Warning is displayed in the title area and in the tooltip of the decoration
+
+2011-01-26  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/NewCloudConnectionWizard.java 
+	(performTest): 
+	[JBIDE-8250] all error-responses from server indicate that the credentials test failed (was: only 403 was a connection error).
+
+2011-01-25  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
+
+	* plugin.xml: 
+	* plugin.properties: 
+	* src/org/jboss/tools/deltacloud/ui/commands/ManageKeysHandler.java: 
+	[JBIDE-7772] added command, handler, plugin.xml-declaration and icosn for managing keys in the 
+	context-menu of the cloud viewer
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/NewInstanceWizard.java: 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/ManageKeysWizard.java: 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/InstanceFilterWizard.java: 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/ImageFilterWizard.java: 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/AbstractDeltaCloudWizard.java: 
+	[JBIDE-7772] extracted common wizard code & moved it to AbstractDeltaCloudWizard  
+	* src/org/jboss/tools/deltacloud/ui/commands/NewConnectionHandler.java: 
+	* src/org/jboss/tools/deltacloud/ui/commands/ManageKeysHandler.java (.run): 	
+	* src/org/jboss/tools/deltacloud/ui/commands/FilterInstancesHandler.java (.run): 
+	* src/org/jboss/tools/deltacloud/ui/commands/FilterImagesHandler.java (.run): 
+	* src/org/jboss/tools/internal/deltacloud/ui/utils/WizardUtils.java (openWizardDialog): 
+	[JBIDE-7772] extracted common handler code & moved it to WizardUtils 
+
 2011-01-17  André Dietisheim  <André Dietisheim@adietisheim-thinkpad>
 
+	* src/org/jboss/tools/internal/deltacloud/ui/utils/WizardUtils.java (nextPageOrFinish): 
+	* src/org/jboss/tools/internal/deltacloud/ui/wizards/ManageKeysPage.java (onKeyDoubleclick): 
+	[JBIDE-8126] close manage keys dialog on double click on a key
 	* src/org/jboss/tools/deltacloud/ui/views/cloudelements/InstanceViewLabelAndContentProvider.java: 
 	* src/org/jboss/tools/deltacloud/ui/views/cloudelements/ImageViewLabelAndContentProvider.java: 
 	* src/org/jboss/tools/deltacloud/ui/views/cloudelements/AbstractCloudElementViewLabelAndContentProvider.java: 
Index: src/org/jboss/tools/deltacloud/ui/preferences/StringPreferenceValue.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/preferences/StringPreferenceValue.java	(revision 0)
+++ src/org/jboss/tools/deltacloud/ui/preferences/StringPreferenceValue.java	(revision 0)
@@ -0,0 +1,35 @@
+/*******************************************************************************
+ * Copyright (c) 2010 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
+package org.jboss.tools.deltacloud.ui.preferences;
+
+
+
+/**
+ * @author Andre Dietisheim
+ */
+public class StringPreferenceValue extends AbstractPreferenceValue<String> {
+
+	public StringPreferenceValue(String prefsKey, String pluginId) {
+		super(prefsKey, pluginId);
+	}
+
+	public String get() {
+		return get(null);
+	}
+	
+	public String get(String currentValue) {
+		return doGet(currentValue);
+	}
+
+	public void store(String value) {
+		doStore(value);
+	}
+}
Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/ManageKeysWizard.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/ManageKeysWizard.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/ManageKeysWizard.java	(working copy)
@@ -10,7 +10,6 @@
  ******************************************************************************/
 package org.jboss.tools.internal.deltacloud.ui.wizards;
 
-import org.eclipse.jface.wizard.Wizard;
 import org.jboss.tools.deltacloud.core.DeltaCloud;
 import org.jboss.tools.deltacloud.core.DeltaCloudKey;
 
@@ -18,14 +17,13 @@
  * @author Jeff Johnston
  * @author André Dietisheim
  */
-public class ManageKeysWizard extends Wizard {
+public class ManageKeysWizard extends AbstractDeltaCloudWizard {
 
-	private DeltaCloud cloud;
 	private ManageKeysPage mainPage;
 	private DeltaCloudKey key;
 
 	public ManageKeysWizard(DeltaCloud cloud) {
-		this.cloud = cloud;
+		super(cloud);
 	}
 
 	public DeltaCloudKey getKey() {
@@ -34,7 +32,7 @@
 
 	@Override
 	public void addPages() {
-		mainPage = new ManageKeysPage(cloud);
+		mainPage = new ManageKeysPage(getDeltaCloud());
 		addPage(mainPage);
 	}
 
Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/CloudConnection.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/CloudConnection.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/CloudConnection.java	(working copy)
@@ -1,5 +1,18 @@
+/*******************************************************************************
+ * Copyright (c) 2010 Red Hat, Inc.
+ * Distributed under license by Red Hat, Inc. All rights reserved.
+ * This program is made available under the terms of the
+ * Eclipse Public License v1.0 which accompanies this distribution,
+ * and is available at http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ *     Red Hat, Inc. - initial API and implementation
+ ******************************************************************************/
 package org.jboss.tools.internal.deltacloud.ui.wizards;
 
+/**
+ * @author Jeff Johnston
+ */
 public interface CloudConnection {
 	
 	public boolean performTest();
Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/FindImagePage.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/FindImagePage.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/FindImagePage.java	(working copy)
@@ -39,7 +39,6 @@
 import org.eclipse.swt.widgets.Table;
 import org.eclipse.swt.widgets.TableColumn;
 import org.eclipse.swt.widgets.Text;
-import org.jboss.tools.deltacloud.core.AllImageFilter;
 import org.jboss.tools.deltacloud.core.DeltaCloud;
 import org.jboss.tools.deltacloud.core.DeltaCloudException;
 import org.jboss.tools.deltacloud.core.DeltaCloudImage;
@@ -48,7 +47,6 @@
 import org.jboss.tools.deltacloud.core.job.AbstractCloudElementJob;
 import org.jboss.tools.deltacloud.core.job.AbstractCloudElementJob.CLOUDELEMENT;
 import org.jboss.tools.deltacloud.ui.SWTImagesFactory;
-import org.jboss.tools.deltacloud.ui.views.CVMessages;
 import org.jboss.tools.deltacloud.ui.views.Columns;
 import org.jboss.tools.deltacloud.ui.views.Columns.Column;
 import org.jboss.tools.deltacloud.ui.views.cloudelements.ITableContentAndLabelProvider;
@@ -120,7 +118,7 @@
 	public FindImagePage(DeltaCloud cloud) {
 		super(WizardMessages.getString(NAME));
 		this.cloud = cloud;
-		filter = new AllImageFilter(cloud);
+		filter = new ImageFilter(cloud);
 		setDescription(WizardMessages.getString(DESC));
 		setTitle(WizardMessages.getString(TITLE));
 		setImageDescriptor(SWTImagesFactory.DESC_DELTA_LARGE);
@@ -158,8 +156,7 @@
 					+ desc + "*"; //$NON-NLS-1$
 
 			if (!newRules.equals(oldRules)) {
-				filter = new ImageFilter(cloud);
-				filter.setRules(newRules);
+				filter = new ImageFilter(newRules, cloud);
 				oldRules = newRules;
 				asyncSetImagesToViewer(filter);
 			}
@@ -306,7 +303,7 @@
 			if (i == 0) {
 				table.setSortColumn(tc);
 			}
-			tc.setText(CVMessages.getString(c.getName()));
+			tc.setText(c.getName());
 			tableLayout.setColumnData(tc, new ColumnWeightData(c.getWeight(), true));
 			tc.addSelectionListener(new ColumnListener(i, viewer));
 		}
Index: src/org/jboss/tools/deltacloud/ui/commands/DestroyInstanceHandler.java
===================================================================
--- src/org/jboss/tools/deltacloud/ui/commands/DestroyInstanceHandler.java	(revision 29180)
+++ src/org/jboss/tools/deltacloud/ui/commands/DestroyInstanceHandler.java	(working copy)
@@ -26,7 +26,7 @@
 import org.jboss.tools.deltacloud.core.job.DestroyCloudInstanceJob;
 import org.jboss.tools.deltacloud.ui.Activator;
 import org.jboss.tools.deltacloud.ui.views.CVMessages;
-import org.jboss.tools.internal.deltacloud.ui.utils.UIUtils;
+import org.jboss.tools.internal.deltacloud.ui.utils.WorkbenchUtils;
 
 /**
  * @author Andre Dietisheim
@@ -41,7 +41,7 @@
 		try {
 			if (selection instanceof IStructuredSelection) {
 				if (isSingleInstanceSelected(selection)) {
-					DeltaCloudInstance cvInstance = UIUtils.getFirstAdaptedElement(selection, DeltaCloudInstance.class);
+					DeltaCloudInstance cvInstance = WorkbenchUtils.getFirstAdaptedElement(selection, DeltaCloudInstance.class);
 					destroyInstance(cvInstance);
 				} else {
 					destroyWithDialog((IStructuredSelection) selection);
@@ -59,10 +59,10 @@
 	@SuppressWarnings("unchecked")
 	private void destroyWithDialog(IStructuredSelection selection) {
 		List<DeltaCloudInstance> deltaCloudInstances = 
-			UIUtils.adapt((List<DeltaCloudInstance>) selection.toList(),DeltaCloudInstance.class);
+			WorkbenchUtils.adapt((List<DeltaCloudInstance>) selection.toList(),DeltaCloudInstance.class);
 		List<DeltaCloudInstance> destroyableInstances = getDestroyableInstances(deltaCloudInstances);
 		DeltaCloudInstanceDialog dialog = new DeltaCloudInstanceDialog(
-					UIUtils.getActiveShell()
+				WorkbenchUtils.getActiveShell()
 					, destroyableInstances
 					, CVMessages.getString(DESTROY_INSTANCE_TITLE)
 					, CVMessages.getString(DESTROY_INSTANCE_MSG));
Index: src/org/jboss/tools/internal/deltacloud/ui/wizards/CloudDriverValidator.java
===================================================================
--- src/org/jboss/tools/internal/deltacloud/ui/wizards/CloudDriverValidator.java	(revision 29180)
+++ src/org/jboss/tools/internal/deltacloud/ui/wizards/CloudDriverValidator.java	(working copy)
@@ -13,7 +13,7 @@
 import org.eclipse.core.databinding.validation.IValidator;
 import org.eclipse.core.databinding.validation.ValidationStatus;
 import org.eclipse.core.runtime.IStatus;
-import org.jboss.tools.deltacloud.core.Driver;
+import org.jboss.tools.deltacloud.core.DeltaCloudDriver;
 
 /**
  * @author André Dietisheim
@@ -23,7 +23,7 @@
 	@Override
 	public IStatus validate(Object value) {
 		if (value != null
-				&& !Driver.UNKNOWN.equals(value)) {
+				&& !DeltaCloudDriver.UNKNOWN.equals(value)) {
 			return ValidationStatus.ok();
 		} else {
 			return ValidationStatus.warning(WizardMessages.getString("IllegalCloudUrl.msg")); //$NON-NLS-1$
